package nl.iobyte.themeparkconnector.api.packet.handlers.operator;

import nl.iobyte.themeparkconnector.ThemeParkConnector;
import nl.iobyte.themeparkconnector.api.ThemeParkConnectorAPI;
import nl.iobyte.themeparkconnector.api.client.ClientConnection;
import nl.iobyte.themeparkconnector.api.operator.OperatorService;
import nl.iobyte.themeparkconnector.api.operator.objects.panel.OperatorItem;
import nl.iobyte.themeparkconnector.api.operator.objects.panel.OperatorPanel;
import nl.iobyte.themeparkconnector.api.packet.objects.PayloadHandler;
import nl.iobyte.themeparkconnector.api.packet.payloads.operator.ClientOperatorClickPayload;

public class ClientOperatorClickHandler extends PayloadHandler<ClientOperatorClickPayload> {

    /**
     * Player click ThemeParkConnector Ride Operator
     * @param payload ClientOperatorClickPayload
     */
    public void onReceive(ClientOperatorClickPayload payload) {
        ThemeParkConnectorAPI api = ThemeParkConnector.getInstance().getAPI();
        ClientConnection connection = api.getNetworkingService().getClient(payload.getUUID());
        if(connection == null)
            return;

        OperatorService service = ThemeParkConnector.getInstance().getAPI().getOperatorService();
        String attraction_id = service.getOperating().get(payload.getUUID());
        if(attraction_id == null)
            return;

        OperatorPanel panel = service.getPanel(attraction_id);
        if(panel == null)
            return;

        OperatorItem item = panel.getItem(payload.getItemID());
        if(item == null)
            return;

        item.click();
    }

}
